#include <stdio.h>
#include <string.h>

char line[200];
int i, j, tag[10000], SNP_number, current_SNP, tag_SNP[10000];
int cluster[10000], size, cluster_no;
float avg;
char position[10000][60], maf[10000][60], n6[60], n7[60], n8[60], n9[60];
char tagging[10000][60], SNP_name[10000][60];

FILE *f1, *f2, *f3;

void main()
{
	
	f2 = fopen ("TaggingSetChooser.result.Greedy.members.txt", "r");
	fgets (line, 200, f2);
	puts (line);
	i = 0;

	while ( !feof(f2) )
	{
		fscanf(f2, "%s	%d	%d	%s	%s	%s	%s	%s	%s\n", SNP_name[i], &cluster[i], &tag[i], position[i], maf[i], n6, n7, n8, n9);
		printf("%s	%d	%d	%s	%s\n", SNP_name[i], cluster[i], tag[i], position[i], maf[i]);
		i++;
	}
	fclose(f2);
	SNP_number = i;

	f1 = fopen("TaggingSetChooser.result.Greedy.out", "r");

	do 
	{
		fgets (line, 100, f1);
		puts (line);
	} while ( strcmp ( line, "Cluster	Size	Tagging SNP	Avg. sim.\n") != 0 );

	for (i = 0; i <= cluster[SNP_number-1]; i++)
	{
		fscanf (f1, "%d	%d	%s	%f\n", &cluster_no, &size, tagging[i], &avg);
		printf ("%d	%d	%s	%f\n", cluster_no, size, tagging[i], avg);
	}

	fclose(f1);


	f3 = fopen("greedy_output.txt", "w");
	fprintf(f3, "NAME	CLUSTAG	Tag	Position	MAF\n");
	current_SNP = 0;


	for ( i = 0; i <= cluster[SNP_number-1] ; i++ )
	{
		for ( j = 0; j < SNP_number; j++ )
		{
			if ( strcmp ( tagging[i], SNP_name[j] ) == 0 )
			{
				tag[j] = 1;
				tag_SNP[i] = j;
			}
		}
	}

	for ( i = 0; i <= cluster[SNP_number-1] ; i++ )
	{
		fprintf(f3, "%s	%d	%d	%s	%s\n", SNP_name[tag_SNP[i]], i, tag[tag_SNP[i]], position[tag_SNP[i]], maf[tag_SNP[i]]);
				
		do 
		{
			if ( tag[current_SNP] == 0 )
			{
				fprintf(f3, "%s	%d	%d	%s	%s\n", SNP_name[current_SNP], cluster[current_SNP], tag[current_SNP], position[current_SNP], maf[current_SNP]);
			}
			current_SNP++;
		} while ( cluster[current_SNP] == i );

	}

	fclose(f3);

//	printf ("okay\n");



}

